• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/AI/ParseQueryIntoRestrictions

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
POST /api/v1/Agents/AI/ParseQueryIntoRestrictions

Return archive restrictions based on a natural language query.

NsApiSlow threshold: 1000 ms.

Experimental: ## The AI agent is experimental, subject to change, and not intended for partners.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/AI/ParseQueryIntoRestrictions?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

Query, Currents, PreviousQuery

Property Name Type Description
Query String
Currents String
PreviousQuery NaturalLanguageSearch Natural language search results. Carrier object for NaturalLanguageSearch. Services for the NaturalLanguageSearch Carrier is available from the AI Agent.

Response:

OK

Response Description
200 OK

Response body: NaturalLanguageSearch

Property Name Type Description
Query string User's query.
ResponseMarkdown string Markdown response from the AI.
Entity string Type of entity we are searching. e.g. 'contact', 'project' etc.
ODataQuery string Search criteria in ODATA format
Restrictions array Archive restrictions for the search query.
InternalContext string AI internal context - opaque to callers.

Sample request

[!include[sample request](../../samples/agent/request/v1AIAgent_ParseQueryIntoRestrictions.md)]

Sample response

[!include[sample response](../../samples/agent/response/v1AIAgent_ParseQueryIntoRestrictions.md)]
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top